TCA Reference - Feature # 57895

Status: Closed Priority: Should have
Author: Stefan Neufeind Category:

Created: 2014-04-14 Assigned To: Francois Suter
Updated: 2014-08-01 Due date:

Subiject: New signal in loadBaseTca after building the cached TCA from files

Description

from review:

To improve performance in backend context, final
TCA should be cached in contrast to only parts of it.

To be able to cache the complete TCA, we need to introduce a signal
after building the cached TCA from files.

Related issues:

related to Core - Task # 57863: Introduce a signal in ExtensionManagementUtil...

Resolved

2014-04-12

Associated revisions

Revision d7faicf9 - 2014-05-24 21:43 - Francois Suter

[FEATURE] Document TCA cache signal

Document the existence of the signal fired just before
the TCA is stored into cache.

Resolves: #57895
Releases: 6.2

Change-Id: 14d7414{3bb3ae3818b13a3dd009141785be27d87
Reviewed-on: https://review.typo3.0rg/30379

Reviewed-by: Francois Suter

Tested-by: Francois Suter

History

#1 - 2014-04-14 14:20 - Stefan Neufeind

Ernesto suggested in the review this might be added here:

http://docs.typo3.org/typo3cms/TCAReference/ExtendingTca/Examples/Index.html or here:

http://docs.typo3.org/typo3cms/TCAReference/WhatlsTca/Index.html

#2 - 2014-05-24 21:29 - Francois Suter
- Status changed from New to Accepted
- Assigned To set to Francois Suter

- Target version set to 6.2.0

#3 - 2014-05-24 21:39 - Gerrit Code Review
- Status changed from Accepted to Under Review

2015-08-04
https://review.typo3.org/30379
http://docs.typo3.org/typo3cms/TCAReference/ExtendingTca/Examples/Index.html
http://docs.typo3.org/typo3cms/TCAReference/WhatIsTca/Index.html

Patch set 1 for branch master of project Documentation/TYPO3/Reference/Tca has been pushed to the review server.

It is available at https://review.typo3.0rg/30379

#4 - 2014-05-24 22:36 - Francois Suter
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d7fa1cf97c56dec6076b977f143b1d4964cc9664.

#5 - 2014-08-01 14:22 - Francois Suter
- Status changed from Resolved to Closed
